/**
 * The VpcName model module.
 * @module Ntnx/VpcName
 * @version 4.0.1
 * @class VpcName
 */
export default class VpcName {
    /**
     * Constructs a <code>VpcName</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:Ntnx/VpcName} obj Optional instance to populate.
     * @param callFromChild {Boolean} Flag to recognise calling instance
     * @return {module:Ntnx/VpcName} The populated <code>VpcName</code> instance.
     */
    static constructFromObject(data: any, obj?: any, callFromChild?: boolean): any;
    /**
    * Converts a given snake_case string to camelCase.
    * @param {string} snakeStr - The input string in snake_case format.
    * @returns {string} - The converted string in camelCase format.
    */
    static snakeToCamel(snakeStr: string): string;
    $objectType: string;
    /** @type {object<string, any>} */
    $reserved: object;
    /** @type {object<string, any>} */
    $unknownFields: object;
    /**
     * Returns VPC name
     * @return {string}
     */
    getName(): string;
    /**
     * Sets VPC name
     * @param {string} name VPC name
     */
    setName(name: string): void;
    name: string;
    get$Reserved(): any;
    get$ObjectType(): string;
    get$UnknownFields(): any;
    toJson(forMutation: any): {
        $reserved: any;
        $objectType: string;
        $unknownFields: any;
        name?: string;
    };
    validate(scope: any, properties: any, ...args: any[]): Promise<any>;
    validateProperty(scope: any, property: any): ValidationError;
    #private;
}
import ValidationError from "../../../validation/ValidationError";
